package com.hai.model;

import java.math.BigDecimal;
import java.util.Date;

public class SelfOilStationModel {
    /**
     * 订单流水号
     */
    private String orderNo;

    /**
     * 油站名称
     */
    private String oilStationName;

    /**
     * 【加油站】加油员名称
     */
    private String gasStaffName;

    /**
     * 【加油站】油品类型 1:汽油:2:柴油;3:天然气
     */
    private Integer gasOilType;

    /**
     * 【加油站】油号
     */
    private String gasOilNo;

    /**
     * 【加油站】油抢号
     */
    private String gasGunNo;

    /**
     * 【加油站】国标价
     */
    private BigDecimal gasPriceOfficial;


    /**
     * 【加油站】油枪价
     */
    private BigDecimal gasPriceGun;

    /**
     * 【加油站】加油升数
     */
    private BigDecimal gasOilLiters;

    /**
     * 【加油站】加油金额
     */
    private BigDecimal gasPrice;


    /**
     * 用户电话
     */
    private String userPhone;

    /**
     * 支付时间
     */
    private Date payTime;

    /**
     * 生成时间
     */
    private Date createTime;

    /**
     * 订单状态：1 待支付  2 已支付  3.已完成  4. 已退款  5.已取消   6.退款中   7.拒绝退款
     */
    private Integer orderStatus;


    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getOilStationName() {
        return oilStationName;
    }

    public void setOilStationName(String oilStationName) {
        this.oilStationName = oilStationName;
    }

    public String getGasStaffName() {
        return gasStaffName;
    }

    public void setGasStaffName(String gasStaffName) {
        this.gasStaffName = gasStaffName;
    }

    public Integer getGasOilType() {
        return gasOilType;
    }

    public void setGasOilType(Integer gasOilType) {
        this.gasOilType = gasOilType;
    }

    public String getGasOilNo() {
        return gasOilNo;
    }

    public void setGasOilNo(String gasOilNo) {
        this.gasOilNo = gasOilNo;
    }

    public String getGasGunNo() {
        return gasGunNo;
    }

    public void setGasGunNo(String gasGunNo) {
        this.gasGunNo = gasGunNo;
    }

    public BigDecimal getGasPriceOfficial() {
        return gasPriceOfficial;
    }

    public void setGasPriceOfficial(BigDecimal gasPriceOfficial) {
        this.gasPriceOfficial = gasPriceOfficial;
    }

    public BigDecimal getGasPriceGun() {
        return gasPriceGun;
    }

    public void setGasPriceGun(BigDecimal gasPriceGun) {
        this.gasPriceGun = gasPriceGun;
    }

    public BigDecimal getGasOilLiters() {
        return gasOilLiters;
    }

    public void setGasOilLiters(BigDecimal gasOilLiters) {
        this.gasOilLiters = gasOilLiters;
    }

    public BigDecimal getGasPrice() {
        return gasPrice;
    }

    public void setGasPrice(BigDecimal gasPrice) {
        this.gasPrice = gasPrice;
    }

    public String getUserPhone() {
        return userPhone;
    }

    public void setUserPhone(String userPhone) {
        this.userPhone = userPhone;
    }

    public Date getPayTime() {
        return payTime;
    }

    public void setPayTime(Date payTime) {
        this.payTime = payTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getOrderStatus() {
        return orderStatus;
    }

    public void setOrderStatus(Integer orderStatus) {
        this.orderStatus = orderStatus;
    }
}
